#include "os_include.h"                       
#include <string>                             

#include <GL/glew.h>
#include "GLCopyApp.h"


// Size of the frames
unsigned int g_uiWidth  = 1280;
unsigned int g_uiHeight = 720;


using namespace std;

  

int main(int argc, char** argv)
{                                                                                      
    
    GLCopyApp* pApp = new GLCopyApp;

    if (!pApp->init(g_uiWidth, g_uiHeight, "Test"))
    {                                                  
        return 0;                                
    }                                                  

    // start in p2p mode. Use false to enable pinned memory
    if (pApp->start(true))
    {                     

        while (pApp && pApp->isRunning())
        {             
            sleep(1);
        }

        pApp->stop();
    }

    delete pApp;

    return 0;
}

